io.etcd.jetcd.api

## Interface RangeRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  RangeRequest, RangeRequest.Builder

    public interface RangeRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getCountOnly()` count_only when set returns only the count of the keys in the range.
`com.google.protobuf.ByteString` `getKey()` key is the first key for the range.
`boolean` `getKeysOnly()` keys_only when set returns only the keys and not the values.
`long` `getLimit()` limit is a limit on the number of keys returned for the request.
`long` `getMaxCreateRevision()` max_create_revision is the upper bound for returned key create revisions; all keys with greater create revisions will be filtered away.
`long` `getMaxModRevision()` max_mod_revision is the upper bound for returned key mod revisions; all keys with greater mod revisions will be filtered away.
`long` `getMinCreateRevision()` min_create_revision is the lower bound for returned key create revisions; all keys with lesser create trevisions will be filtered away.
`long` `getMinModRevision()` min_mod_revision is the lower bound for returned key mod revisions; all keys with lesser mod revisions will be filtered away.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the upper bound on the requested range [key, range_end).
`long` `getRevision()` revision is the point-in-time of the key-value store to use for the range.
`boolean` `getSerializable()` serializable sets the range request to use serializable member-local reads.
`RangeRequest.SortOrder` `getSortOrder()` sort_order is the order for returned sorted results.
`int` `getSortOrderValue()` sort_order is the order for returned sorted results.
`RangeRequest.SortTarget` `getSortTarget()` sort_target is the key-value field to use for sorting.
`int` `getSortTargetValue()` sort_target is the key-value field to use for sorting.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the first key for the range. If range_end is not given, the request only looks up key.

`bytes key = 1;`

Returns:
  The key.

#### getRangeEnd

    com.google.protobuf.ByteString getRangeEnd()

     range_end is the upper bound on the requested range [key, range_end).
     If range_end is '\0', the range is all keys >= key.
     If range_end is key plus one (e.g., "aa"+1 == "ab", "a\xff"+1 == "b"),
     then the range request gets all keys prefixed with key.
     If both key and range_end are '\0', then the range request returns all keys.

`bytes range_end = 2;`

Returns:
  The rangeEnd.

#### getLimit

    long getLimit()

     limit is a limit on the number of keys returned for the request. When limit is set to 0,
     it is treated as no limit.

`int64 limit = 3;`

Returns:
  The limit.

#### getRevision

    long getRevision()

     revision is the point-in-time of the key-value store to use for the range.
     If revision is less or equal to zero, the range is over the newest key-value store.
     If the revision has been compacted, ErrCompacted is returned as a response.

`int64 revision = 4;`

Returns:
  The revision.

#### getSortOrderValue

    int getSortOrderValue()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Returns:
  The enum numeric value on the wire for sortOrder.

#### getSortOrder

    RangeRequest.SortOrder getSortOrder()

     sort_order is the order for returned sorted results.

`.etcdserverpb.RangeRequest.SortOrder sort_order = 5;`

Returns:
  The sortOrder.

#### getSortTargetValue

    int getSortTargetValue()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Returns:
  The enum numeric value on the wire for sortTarget.

#### getSortTarget

    RangeRequest.SortTarget getSortTarget()

     sort_target is the key-value field to use for sorting.

`.etcdserverpb.RangeRequest.SortTarget sort_target = 6;`

Returns:
  The sortTarget.

#### getSerializable

    boolean getSerializable()

     serializable sets the range request to use serializable member-local reads.
     Range requests are linearizable by default; linearizable requests have higher
     latency and lower throughput than serializable requests but reflect the current
     consensus of the cluster. For better performance, in exchange for possible stale reads,
     a serializable range request is served locally without needing to reach consensus
     with other nodes in the cluster.

`bool serializable = 7;`

Returns:
  The serializable.

#### getKeysOnly

    boolean getKeysOnly()

     keys_only when set returns only the keys and not the values.

`bool keys_only = 8;`

Returns:
  The keysOnly.

#### getCountOnly

    boolean getCountOnly()

     count_only when set returns only the count of the keys in the range.

`bool count_only = 9;`

Returns:
  The countOnly.

#### getMinModRevision

    long getMinModRevision()

     min_mod_revision is the lower bound for returned key mod revisions; all keys with
     lesser mod revisions will be filtered away.

`int64 min_mod_revision = 10;`

Returns:
  The minModRevision.

#### getMaxModRevision

    long getMaxModRevision()

     max_mod_revision is the upper bound for returned key mod revisions; all keys with
     greater mod revisions will be filtered away.

`int64 max_mod_revision = 11;`

Returns:
  The maxModRevision.

#### getMinCreateRevision

    long getMinCreateRevision()

     min_create_revision is the lower bound for returned key create revisions; all keys with
     lesser create trevisions will be filtered away.

`int64 min_create_revision = 12;`

Returns:
  The minCreateRevision.

#### getMaxCreateRevision

    long getMaxCreateRevision()

     max_create_revision is the upper bound for returned key create revisions; all keys with
     greater create revisions will be filtered away.

`int64 max_create_revision = 13;`

Returns:
  The maxCreateRevision.